import request from '@/utils/request'

// 查询患者信息列表 HealthcareOsPatientInfo
export function listHealthcareOsPatientInfo(query) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo/list',
    method: 'get',
    params: query
  })
}

// 查询患者信息详细
export function getHealthcareOsPatientInfo(id) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo/' + id,
    method: 'get'
  })
}

// 新增患者信息
export function addHealthcareOsPatientInfo(data) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo',
    method: 'post',
    data: data
  })
}

// 修改患者信息
export function updateHealthcareOsPatientInfo(data) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo',
    method: 'put',
    data: data
  })
}

// 删除患者信息
export function delHealthcareOsPatientInfo(id) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo/' + id,
    method: 'delete'
  })
}


// 获取学生断列表
export function getStudentInfo(query) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo/getStudentInfo',
    method: 'get',
    params: query
  })
}


// 获取断列表 getTeachingStaffInfo
export function getTeachingStaffInfo(query) {
  return request({
    url: '/outpatientService/healthcareOsPatientInfo/getTeachingStaffInfo',
    method: 'get',
    params: query
  })
}